Bug 15033 - seamless="" should also make media queries get evaluated against the nearest ancestor non-seamless browsing context. See https://bugzilla.mozilla.org/show_bug.cgi?id=80713#c114
seamless="" should also make media queries get evaluated against the nearest ...
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-01 23:02 UTC by contributor
Modified: 2012-09-28 05:19 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2011-12-01 23:02:58 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/
Multipage: http://www.whatwg.org/C#attr-iframe-seamless
Complete: http://www.whatwg.org/c#attr-iframe-seamless

Comment:
seamless="" should also make media queries get evaluated against the nearest
ancestor non-seamless browsing context. See
https://bugzilla.mozilla.org/show_bug.cgi?id=80713#c114

Posted from: 2620:0:1000:147d:fa1e:dfff:fedd:ce8d by ian@hixie.ch
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_5_8) AppleWebKit/535.8 (KHTML, like Gecko) Chrome/17.0.942.0 Safari/535.8
Comment 1 L. David Baron (Mozilla) 2012-03-27 23:36:30 UTC
On the other hand, I've heard people request the ability to use media queries on parts of a page (particularly when designing page modules that can be reused).  But that only works for queries on things that are clearly input rather than output (in general, widths as input and heights as output), and it might be hard to define how.
Comment 2 contributor 2012-07-18 07:28:28 UTC
This bug was cloned to create bug 17982 as part of operation convergence.
Comment 3 Silvia Pfeiffer 2012-09-28 05:19:07 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: applied patch
https://github.com/w3c/html/commit/4ade419872cdef95fe8a55a4f0f958b163fb7465
Rationale: adopted resolution by WHATWG